Bug 429520 - SELinux is preventing tmpwatch (tmpreaper_t) "setattr" to (usr_t).
SELinux is preventing tmpwatch (tmpreaper_t) "setattr" to (usr_t).
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-21 05:53 EST by Valent Turkovic
Modified: 2008-01-22 11:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-22 09:21:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valent Turkovic 2008-01-21 05:53:21 EST
Description of problem:
I see these AVC Denials. I have installed Innotek VirtualBox but can't be sure
if that is related to this issue.

    SELinux is preventing tmpwatch (tmpreaper_t) "setattr" to <Unknown> (usr_t).

Detailed Description
    SELinux denied access requested by tmpwatch. It is not expected that this
    access is required by tmpwatch and this access may signal an intrusion
    attempt. It is also possible that the specific version or configuration of
    the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:tmpreaper_t:s0
Target Context                system_u:object_r:usr_t:s0
Target Objects                None [ dir ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-74.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     valent.oswireless
Platform                      Linux valent.oswireless #1 SMP Fri
                              Dec 7 15:49:59 EST 2007 i686 i686
Alert Count                   7
First Seen                    Mon 21 Jan 2008 11:24:11 AM CET
Last Seen                     Mon 21 Jan 2008 11:24:11 AM CET
Local ID                      b1e3e2d9-d904-49b3-85f7-69ea95037029
Line Numbers                  

Raw Audit Messages            

avc: denied { setattr } for comm=tmpwatch dev=sda6 name=iprt pid=10640
scontext=system_u:system_r:tmpreaper_t:s0 tclass=dir

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Walsh 2008-01-21 13:12:06 EST
What is iprt?
Comment 2 Valent Turkovic 2008-01-21 14:17:57 EST
# locate iprt
Comment 3 Daniel Walsh 2008-01-21 14:47:53 EST
Ok, why would tmpwatch be setattr in this directory?
Comment 4 Valent Turkovic 2008-01-21 15:07:56 EST
have no idea, I'm just a VirtualBox user not a devel :(
Comment 5 Daniel Walsh 2008-01-21 16:35:11 EST
Does either of these find anything

find /tmp -name iprt
fine /var/tmp -name iprt

Comment 6 Valent Turkovic 2008-01-22 07:12:15 EST
# find /tmp -name iprt

other doesn't find anything
Comment 7 Daniel Walsh 2008-01-22 09:21:04 EST
So that looks like the file SELinux is complaining about.

It is probably something left over from the vbox install.  If you just remove
the files, that AVC's should stop.  Or it you 

chcon -R -t tmp_t /tmp/vbox.0

The tmpwatch will remove it for you.
Comment 8 Valent Turkovic 2008-01-22 11:04:56 EST

I removed it manually

rmdir /tmp/vbox.0/include/iprt/nocrt/
rmdir /tmp/vbox.0/include/iprt/

Note You need to log in before you can comment on or make changes to this bug.